import store from '@/store'

export function notify(title, duration = 1500, mask = false, icon = 'none') {
	if (!title) return
	uni.showToast({ title, duration, mask, icon })
	if (store.state.user && store.state.user.shock) {
		uni.vibrateShort()
	}
}
